Bug 728395 - PPTP connection hangs randomly
Summary: PPTP connection hangs randomly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp
Version: 15
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 23:36 UTC by alexhultman
Modified: 2012-08-07 16:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:03:09 UTC


Attachments (Terms of Use)

Description alexhultman 2011-08-04 23:36:45 UTC
Description of problem:
When connected to a PPTP VPN service the conection works for a while but then freezes up at random intervals.

Version-Release number of selected component (if applicable):
Updated Fedora 15 using standard tools to connect to PPTP VPN services.

How reproducible:
Always

Steps to Reproduce:
1. Connect to a PPTP VPN service.
2. Start transferring lots of data.
3. Keep transferring until the connection freezes up.
  
Actual results:
Connection freezes up.

Expected results:
Connection stays alive.

Additional info:
I have seen reports on this bug since 2007 but this bug is obviously still with us. PPTP on Fedora 15 is currently useless.

Comment 1 alexhultman 2011-08-09 01:05:28 UTC
It might be bound to high transfer speeds. It seems to freeze up when i get speeds up to 10 MB/sec (im on 100 mbit/sec vpn & connection). It might be some kind of deadlock happening?, it feels like a total lock in the connection when it happens. I am currently transferring data over vpn but at a low speed and it hasn't frozen up for a couple of minutes yet. It seems stable on low speeds. It might also be the size of the transfer (memory leak?). Im going to test some more and report back with results.

Comment 2 alexhultman 2011-08-09 01:46:25 UTC
Yes it is most likley bound to transfer speed. I just did a stable transfer of 1.6 gb at 10 mbit/sec. Then i did another transfer at 10 - 100 mbit/sec, averaging at about 70 mbit/sec and it froze just a couple of minutes in. Deadlock is my guess but im not developing this pptp client so someone else should take a look at it.

Comment 3 Fedora End Of Life 2012-08-07 16:03:11 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.